﻿using UnityEngine;
using System.Collections;
using System;

public class spheresound : MonoBehaviour {
	int objno = 0;
	rtcmixmain RTcmix;
    private bool did_start = false;

    private void Awake()
    {
        RTcmix = GameObject.Find("RTcmixmain").GetComponent<rtcmixmain>();
    }

    // Use this for initialization
    void Start () {
		RTcmix.initRTcmix (objno);

		RTcmix.SendScore("WAVETABLE(0, 7, 20000, 787.8, 0.5)", objno);

        did_start = true;
	}

	// Update is called once per frame
	void Update () {

	}

	void OnAudioFilterRead(float [] data, int nchannels) {
        if (!did_start) return;

		RTcmix.runRTcmix (data, objno, 0);
	}

	void OnApplicationQuit() {
        RTcmix = null;
        did_start = false;
	}
}